import com.jgoodies.validation.ValidationResult;

public class FeedSpecificValidator extends  NonEmptyModelValidator {
    public FeedSpecificValidator(FieldListModel fieldListModel) {
        super(fieldListModel);
    }

    public ValidationResult validate() {
        ValidationResult validationResult = super.validate();

        String nameVal = (String) fieldModel.getModel("name").getValue();

        if (validationResult.subResult("name").size() == 0) {
            validationResult.addError("The name field must be between 5 and 14 characters.");
        }

        if (!"ClientJava.com".equals(nameVal)) {
            validationResult.addWarning("This form prefers the feed ClientJava.com");
        }

        return validationResult;
    }
}
